Commit 12763d80 authored by Xiyue Deng's avatar Xiyue Deng

* New upstream release.

  + Bump shlibs version to 2.24.0 due to new API addition.  ABI remains
    compatible.
* Update Standard-Version to 3.8.0.  No change needed.
* Targeting experimental as Lenny is in freeze.  Add check-dist.mk to
  debian/rules.
* Check for number-dot-based version in debian/watch.
parent 4a640abc
libxml++2.6 (2.22.0-2) UNRELEASED; urgency=low libxml++2.6 (2.24.0-1) experimental; urgency=low
[ Deng Xiyue ] [ Deng Xiyue ]
* Drop `head -n 1' from sed trick. * Drop `head -n 1' from sed trick.
...@@ -8,11 +8,18 @@ libxml++2.6 (2.22.0-2) UNRELEASED; urgency=low ...@@ -8,11 +8,18 @@ libxml++2.6 (2.22.0-2) UNRELEASED; urgency=low
* Remove doc-base from Build-Depends as it's not b-deped at all. * Remove doc-base from Build-Depends as it's not b-deped at all.
* Add ${shlibs:Depends} to all Depends fields as recommended. * Add ${shlibs:Depends} to all Depends fields as recommended.
* Use machine-interpretable format for debian/copyright. * Use machine-interpretable format for debian/copyright.
* New upstream release.
+ Bump shlibs version to 2.24.0 due to new API addition. ABI remains
compatible.
* Update Standard-Version to 3.8.0. No change needed.
* Targeting experimental as Lenny is in freeze. Add check-dist.mk to
debian/rules.
* Check for number-dot-based version in debian/watch.
[ Loic Minier ] [ Loic Minier ]
* Properly anchor package name regexp. * Properly anchor package name regexp.
-- Deng Xiyue <manphiz-guest@users.alioth.debian.org> Fri, 18 Apr 2008 13:36:02 +0800 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org> Thu, 25 Sep 2008 01:01:05 +0800
libxml++2.6 (2.22.0-1) unstable; urgency=low libxml++2.6 (2.22.0-1) unstable; urgency=low
......
...@@ -9,13 +9,13 @@ Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/libxml++2.6 ...@@ -9,13 +9,13 @@ Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/libxml++2.6
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libxml++2.6 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libxml++2.6
Build-Depends: cdbs (>= 0.4.51), Build-Depends: cdbs (>= 0.4.51),
chrpath, chrpath,
debhelper (>= 6), debhelper (>= 6),
dpkg-dev (>= 1.14.16), dpkg-dev (>= 1.14.16),
gnome-pkg-tools (>= 0.11), gnome-pkg-tools (>= 0.11),
libxml2-dev (>= 2.6.1), libxml2-dev (>= 2.6.1),
libglibmm-2.4-dev (>= 2.4.0), libglibmm-2.4-dev (>= 2.4.0),
pkg-config pkg-config
Standards-Version: 3.7.3 Standards-Version: 3.8.0
Package: libxml++2.6-dev Package: libxml++2.6-dev
Section: libdevel Section: libdevel
......
...@@ -15,7 +15,7 @@ Build-Depends: cdbs (>= 0.4.51), ...@@ -15,7 +15,7 @@ Build-Depends: cdbs (>= 0.4.51),
libxml2-dev (>= 2.6.1), libxml2-dev (>= 2.6.1),
libglibmm-2.4-dev (>= 2.4.0), libglibmm-2.4-dev (>= 2.4.0),
pkg-config pkg-config
Standards-Version: 3.7.3 Standards-Version: 3.8.0
Package: libxml++2.6-dev Package: libxml++2.6-dev
Section: libdevel Section: libdevel
......
...@@ -5,13 +5,14 @@ include /usr/share/cdbs/1/rules/simple-patchsys.mk ...@@ -5,13 +5,14 @@ include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
GNOME_MODULE := libxml++ GNOME_MODULE := libxml++
SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libxml\+\+[0-9\.]+-[0-9]+)[[:space:]]*$$/\1/p' debian/control) SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libxml\+\+[0-9\.]+-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libxml\+\+[0-9\.]+-doc)[[:space:]]*$$/\1/p' debian/control) DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libxml\+\+[0-9\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.20.0 SHVER := 2.24.0
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
......
version=3 version=3
http://download.gnome.org/sources/libxml++/([\d\.]+)[02468]/ \ http://download.gnome.org/sources/libxml++/([\d\.]+)[02468]/ \
libxml\+\+-(.*)\.tar\.gz libxml\+\+-([\d\.]+)\.tar\.gz
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment